QGIS Application - Bug report #813
Upsidedown (and rotated?) Rasters Not Supported
2007-11-16 12:59 PM - Frank Warmerdam -

Status: Closed

Priority: Low

Assignee: Frank Warmerdam -

Category: Rasters

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10872
Description

Upside rasters (that is the top is further south than the bottom) do not appear to be supported by the qgsrasterlayer code. If one is opened
(as the only object) an empty extent is established for the map. I'm guessing this is because the min/max values in the layer extent are
backwards.

Driver: ISIS3/USGS Astrogeology ISIS cube (Version 3)
Files: r0200357_10m_Jul20_o_i3_detatched.lbl
r0200357_10m_Jul20_o_ i3 detatched.cub
Size is 317, 559
Coordinate System is:
PROJCSJ["Equirectangular Mars",
GEOGCS["GCS_Mars",
DATUM['D_Mars",
SPHEROID[[Mars_localRadius]],
PRIMEMI[[Reference_Meridian]],
UNIT[[degreel]],
PROJECTION[[Equirectangular]],
PARAMETER[[latitude_of_origin]],
PARAMETER([central_meridian]],
PARAMETER([false_easting]],
PARAMETER[[false_northing]]
Origin = (-4766.964843750000000,-872623.625000000000000)
Pixel Size = (10.102499961853027,10.102499961853027)
Corner Coordinates:
Upper Left ( -4766.965, -872623.625) (175d35'13.52"W, 0d 0'53.02"S)
Lower Left ( -4766.965, -866976.328) (175d35'13.52"W, 0d 0'52.68"S)
Upper Right ( -1564.472, -872623.625) (175d35'13.32"W, 0d 0'53.02"S)
Lower Right ( -1564.472, -866976.328) (175d35'13.32"W, 0d 0'52.68"S)
Center ( -3165.719, -869799.976) (175d35'13.42"W, 0d 0'52.85"S)
Band 1 Block=317x1 Type=Byte, [[ColorInterp]]=Undefined
[[NoData]] Value=0

A reduced resolution analog to the above is being attached as a tiff file.

History

#1 - 2007-11-16 03:33 PM - Frank Warmerdam -
- Status changed from Open to In Progress

2025-04-27 12




In the raster tranparency branch | have made changes () that will place rotated/sheared/upsidedown images in the right portion of the map, but without the

correct orientation. Because this is a fairly serious failure still, an interactive warning is issued to the user.

This lets folks see these images, but the failure to orient them right means they won't overlay other layers properly - still quite a serious bug. So on that
basis I'm leaving this bug open in the hopes that at some point we will rework the raster layer sufficient to display non-northup images properly. This will
require substantial work.

#2 - 2007-11-16 03:40 PM - Frank Warmerdam -

Actually, as | think about it, another alternative used by some other software packages (ie. Cadcorp SIS) is to create a GDAL "warped VRT" in memory
that will take care of resampling on the fly within GDAL.

#3 - 2007-11-16 07:58 PM - Frank Warmerdam -
- Resolution set to fixed

- Status changed from In Progress to Closed

I have applied which rips out the changes from and replaces it with used of a "gdal warped vrt". This will render rotated, upside down and even "gcp
controlled" images in the proper place. There is an outstanding issue of recognising nodata areas that may need action but that isn't the point of this
particular bug report so I'm closing.

Files

sample.tif 47.8 KB 2007-11-16 Frank Warmerdam -
